<div id="pattern-{{post.id}}"></div>
<div class="svg-tooltip px-3 py-2 z-100" style="display:block;">
  <div>
      <div>
          <span class="tooptip-value"></span>
          <span class="tooptip-unit"></span>
      </div>
      <div>
          <span class="tooptip-label"></span>
          <div class="separator"></div>
      </div>
      <div class="tooptip-pourcentage">
      </div>
    </div>
</div>
<figcaption class="{{caption_class|default(text-center)}}">{{post.caption}}</figcaption>


<script type="text/javascript" src="https://d3js.org/d3.v3.js"></script>
<script src="{{DIRURL}}script.js"></script>
<script>
  jQuery('#pattern-{{post.id}}').pourcentage({{post.data}}, {
    'id': '#pattern-{{post.id}}',
    default: '{{post.default_value}}',
    defs: `{{post.defs}}`,
    patternScale:'{{post.pattern_scale}}',
    cols:'{{per_row|default(20)}}',
    menuClass:'{{menu_class|default(text-center)}}',
    unit: '{{post.unit}}',
    lang: 'ar'
  })
</script>
<style>

  @import url(/wp-content/uploads/fonts/Biko/Biko.css);
  .svg-tooltip {
    position: fixed;
    font-family: Biko, sans-serif;
    font-size: 12px;
    line-height: 1.5;

    float: none!important;

    min-width: 200px;
    padding: 8px;

    text-transform: uppercase;
    pointer-events: none;

    border: 1px solid #333;
    background: rgba(255,255,255,.85);
  }
  .svg-tooltip .tooptip-value {
    font-size: 16px;
    font-weight: bold;

    color: #333;
  }
  .svg-tooltip .separator:after {
    display: block;

    margin: 5px 0;

    content: '';

    border: 1px dotted #333;
  }
  .svg-tooltip .tooptip-pourcentage {
    font-family: biko, Helvetica, sans-serif;
    font-size: 30px;
    font-weight: bold;

    letter-spacing: 1px;
    text-transform: none !important;

    color: #f33;
  }

  .highlight-3 {
    transition: all .3s ease-in-out;

    opacity: 0.3;
  }

  .svg-control {
    margin: auto;

    list-style: none;
  }
  .svg-control li {
    font-family: Biko;
    font-size: 30px!important;

    display: inline;

    margin-left: 20px;
    padding-right: 20px;

    cursor: pointer;
    text-transform: uppercase;

    border-right: 1px dashed black;
  }

  .svg-control li:last-child {
      border-right: none;
  }
  @media (max-width: 768px){
    .svg-control {
      padding: 0;
      margin: 0;
    }
    .svg-control li {
      display: block!important;
      font-size: 20px!important;
      width: auto;
      border: none!important;
    }
  }

  html[dir=rtl] .svg-tooltip {
    width: 200px;
  }

  html[dir=rtl] .svg-control li {

    margin-left: 0;
    margin-right: 20px;
    padding-right: 0;
    padding-left: 20px;

    border-left: 1px dashed black;
    border-right: none;
  }
  .svg-control{
    direction: ltr !important;                                                                  
  }
/*
  html[dir=rtl] .svg-control li:last-child {
      border-left: none;
  }*/
</style>